std::_Maybe_wrap_member_pointer< _Tp _Class::* > Struct Template Reference

## Public Types

typedef _Mem_fn< _Tp _Class::* > | type

## Static Public Member Functions

static constexpr type | __do_wrap (_Tp _Class::*__pm)

## Detailed Description

### template<typename _Tp, typename _Class>
struct std::_Maybe_wrap_member_pointer< _Tp _Class::* >

Maps member pointers into instances of _Mem_fn but leaves all other function objects untouched. Used by std::bind(). This partial specialization handles the member pointer case.

Definition at line 880 of file functional.

The documentation for this struct was generated from the following file:

- functional